// SPDX-License-Identifier: Apache-2.0
import BaseError, { ErrorCode } from "../error/BaseError";
export class ValidationError extends BaseError {
    constructor(name, validations) {
        super(ErrorCode.ValidationChecks, `Validation for class ${name} was not successful: ${validations.toString()}`);
    }
}
